from clearml import Task

class ClearMLHelper:
    def __init__(self, project_name: str):
        self.project_name = project_name

    def get_task(self, task_name: str = "Model Training"):
        task = Task.init(project_name=self.project_name, task_name=task_name, continue_last_task=False)
        task.set_base_docker(f"pytorch/pytorch:2.0.1-cuda11.7-cudnn8-runtime")
        return task